

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Dom0 console &mdash; Xen 4.16-unstable documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="Xen 4.16-unstable documentation" href="../../index.html"/>
        <link rel="up" title="Hypercall Interfaces - arm64" href="../arm64.html"/>
        <link rel="next" title="XEN ELFNOTE FEATURES" href="xen_elfnote_features.html"/>
        <link rel="prev" title="Start-of-day memory layout" href="start_of_day_memory_layout.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> Xen
          

          
          </a>

          
            
            
              <div class="version">
                4.16
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../admin-guide/index.html">Admin Guide</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../guest-guide/index.html">Guest documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../hypervisor-guide/index.html">Hypervisor documentation</a></li>
</ul>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Hypercall Interfaces</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../arm64.html">Hypercall Interfaces - arm64</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="../arm64.html#starting-points">Starting points</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="hypercall_calling_convention.html">Hypercall Calling Convention</a></li>
<li class="toctree-l4"><a class="reference internal" href="supported_hypercalls.html">Supported hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="list_of_hypercalls.html">List of hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="guest_scheduler_operations.html">Guest Scheduler Operations</a></li>
<li class="toctree-l4"><a class="reference internal" href="grant_tables.html">Grant Tables</a></li>
<li class="toctree-l4"><a class="reference internal" href="event_channels.html">Event Channels</a></li>
<li class="toctree-l4"><a class="reference internal" href="xenstore_wire_protocol.html">XenStore wire protocol</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_shared_data_structure.html">Start-of-day shared data structure</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_memory_layout.html">Start-of-day memory layout</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">Dom0 console</a></li>
<li class="toctree-l4"><a class="reference internal" href="xen_elfnote_features.html">XEN ELFNOTE FEATURES</a></li>
<li class="toctree-l4"><a class="reference internal" href="elf_notes.html">ELF notes</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#functions">Functions</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#structs">Structs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enums-and-sets-of-defines">Enums and sets of #defines</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#typedefs">Typedefs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enum-values-and-individual-defines">Enum values and individual #defines</a></li>
</ul>
</li>
</ul>
</li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../glossary.html">Glossary</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Xen</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../index.html">Hypercall Interfaces</a> &raquo;</li>
        
          <li><a href="../arm64.html">Hypercall Interfaces - arm64</a> &raquo;</li>
        
      <li>Dom0 console</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/hypercall-interfaces/common/dom0_console.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="dom0-console">
<h1>Dom0 console<a class="headerlink" href="#dom0-console" title="Permalink to this headline">¶</a></h1>
<dl class="group">
<dt>
<span class="target" id="group__dom0__console"></span><em>group</em> <code class="descname">dom0_console</code></dt>
<dd><p>Dom0_console. </p>
<p>The console structure in start_info.console.dom0</p>
<p>This structure includes a variety of information required to have a working VGA/VESA console. </p>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Defines</p>
<dl class="define">
<dt id="c.xen_vga_console_info">
<span class="target" id="group__dom0__console_1gaf3fff4406848c3c1e261776f43a5c12d"></span><code class="descname">xen_vga_console_info</code> <a class="reference internal" href="#structdom0__vga__console__info"><span class="std std-ref">dom0_vga_console_info</span></a><a class="headerlink" href="#c.xen_vga_console_info" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.xen_vga_console_info_t">
<span class="target" id="group__dom0__console_1ga5de22cdff81cc421985afe25f359b970"></span><code class="descname">xen_vga_console_info_t</code> dom0_vga_console_info_t<a class="headerlink" href="#c.xen_vga_console_info_t" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Typedefs</p>
<dl class="typedef">
<dt id="c.dom0_vga_console_info_t">
<span class="target" id="group__dom0__console_1ga36ec069ef1461be889d9c5e33a4407ed"></span><em class="property">typedef </em>struct dom0_vga_console_info  <code class="descname">dom0_vga_console_info_t</code><a class="headerlink" href="#c.dom0_vga_console_info_t" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<dl class="class">
<dt id="_CPPv221dom0_vga_console_info">
<span id="dom0_vga_console_info"></span><span class="target" id="structdom0__vga__console__info"></span><em class="property">struct </em><code class="descname">dom0_vga_console_info</code><a class="headerlink" href="#_CPPv221dom0_vga_console_info" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;xen.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.dom0_vga_console_info::video_type">
<span class="target" id="structdom0__vga__console__info_1aed3abc512345d95c02e9847c4371739c"></span>uint8_t <code class="descname">video_type</code><a class="headerlink" href="#c.dom0_vga_console_info::video_type" title="Permalink to this definition">¶</a></dt>
<dd><p>DOM0_VGA_CONSOLE_??? </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::u">
<span class="target" id="structdom0__vga__console__info_1a37ef4de887e470eea71f25d4ae130bbc"></span>union dom0_vga_console_info::anonymous_union_3  <code class="descname">u</code><a class="headerlink" href="#c.dom0_vga_console_info::u" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<dl class="union">
<dt id="c.dom0_vga_console_info::anonymous_union_3">
<span class="target" id="uniondom0__vga__console__info_1_1anonymous__union__3"></span><em class="property">union </em><code class="descname">anonymous_union_3</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3" title="Permalink to this definition">¶</a></dt>
<dd><em>#include &lt;xen.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::text_mode_3">
<span class="target" id="uniondom0__vga__console__info_1_1anonymous__union__3_1a7194850d942456378e2c7f302d89b5fd"></span>struct dom0_vga_console_info::anonymous_union_3::anonymous_struct_2  <code class="descname">anonymous_union_3::text_mode_3</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::text_mode_3" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::vesa_lfb">
<span class="target" id="uniondom0__vga__console__info_1_1anonymous__union__3_1af202fdb755e4ee624f5bc435cc5845b6"></span>struct dom0_vga_console_info::anonymous_union_3::anonymous_struct_3  <code class="descname">anonymous_union_3::vesa_lfb</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::vesa_lfb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<dl class="struct">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__2"></span><em class="property">struct </em><code class="descname">anonymous_union_3::anonymous_struct_2</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2" title="Permalink to this definition">¶</a></dt>
<dd><em>#include &lt;xen.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::font_height">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__2_1a4dc0e00be1620547e98e880795db64c8"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_2::font_height</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::font_height" title="Permalink to this definition">¶</a></dt>
<dd><p>Font height, in pixels. </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::cursor_x">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__2_1a945178bb4baddb9f13e97629f917dec2"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_2::cursor_x</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::cursor_x" title="Permalink to this definition">¶</a></dt>
<dd><p>Cursor location (column, row). </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::cursor_y">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__2_1aca4ee3662f4be4bce130c7ce29173876"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_2::cursor_y</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::cursor_y" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::rows">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__2_1a5e5f713010d7cf707376482eed901e1b"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_2::rows</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::rows" title="Permalink to this definition">¶</a></dt>
<dd><p>Number of rows and columns (dimensions in characters). </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::columns">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__2_1aaf11d3895e77f4496aa2cf792a0afabc"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_2::columns</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_2::columns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="struct">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3"></span><em class="property">struct </em><code class="descname">anonymous_union_3::anonymous_struct_3</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3" title="Permalink to this definition">¶</a></dt>
<dd><em>#include &lt;xen.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::width">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a021eca0c0eb8b768ca6565768526abde"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_3::width</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::width" title="Permalink to this definition">¶</a></dt>
<dd><p>Width and height, in pixels. </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::height">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1aa381f758ba9b96dd613ab69680bab134"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_3::height</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::height" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::bytes_per_line">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a2f86d9abdeff7d29a67a2db3e3e410f8"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_3::bytes_per_line</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::bytes_per_line" title="Permalink to this definition">¶</a></dt>
<dd><p>Bytes per scan line. </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::bits_per_pixel">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a6ec790a685bdcbb16ee7a94772fd885f"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_3::bits_per_pixel</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::bits_per_pixel" title="Permalink to this definition">¶</a></dt>
<dd><p>Bits per pixel. </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::lfb_base">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1acddf903f3a03a1e8c034d1b94e116710"></span>uint32_t <code class="descname">anonymous_union_3::anonymous_struct_3::lfb_base</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::lfb_base" title="Permalink to this definition">¶</a></dt>
<dd><p>LFB physical address, and size (in units of 64kB). </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::lfb_size">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a40a08bb2450ef4c54babedd64428cfbe"></span>uint32_t <code class="descname">anonymous_union_3::anonymous_struct_3::lfb_size</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::lfb_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::red_pos">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1af057c925cfa56c6e228b0925bf51b3dd"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::red_pos</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::red_pos" title="Permalink to this definition">¶</a></dt>
<dd><p>RGB mask offsets and sizes, as defined by VBE 1.2+ </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::red_size">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a98181989256eb16df516c39121e5a314"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::red_size</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::red_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::green_pos">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a957d2ca97391171ec5e5e6144eb8f9ed"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::green_pos</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::green_pos" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::green_size">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1af7b59c0df30dbb4287f09042f659215c"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::green_size</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::green_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::blue_pos">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a0a6dbf0955098e807154e8f2c602fe90"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::blue_pos</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::blue_pos" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::blue_size">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1ac518845bf5e1aedc353ffddcc8c0c52b"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::blue_size</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::blue_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::rsvd_pos">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1ac5aeb77d29f6858f2a38d262af8fae4f"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::rsvd_pos</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::rsvd_pos" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::rsvd_size">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a7c4a6168e4314191dc99a85e505b7db6"></span>uint8_t <code class="descname">anonymous_union_3::anonymous_struct_3::rsvd_size</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::rsvd_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::gbl_caps">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a5dc4f2eee8a0d2794f89a506ee6e8f8c"></span>uint32_t <code class="descname">anonymous_union_3::anonymous_struct_3::gbl_caps</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::gbl_caps" title="Permalink to this definition">¶</a></dt>
<dd><p>VESA capabilities (offset 0xa, VESA command 0x4f00). </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::mode_attrs">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a248ba1ba7bf141ca188b402687b1b2e7"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_3::mode_attrs</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::mode_attrs" title="Permalink to this definition">¶</a></dt>
<dd><p>Mode attributes (offset 0x0, VESA command 0x4f01). </p>
</dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::pad">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a9f08bd0fb5b81c1bddf2f532847db4dc"></span>uint16_t <code class="descname">anonymous_union_3::anonymous_struct_3::pad</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::pad" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::ext_lfb_base">
<span class="target" id="structdom0__vga__console__info_1_1anonymous__union__3_1_1anonymous__struct__3_1a540a132b86d57b7252ef252757134767"></span>uint32_t <code class="descname">anonymous_union_3::anonymous_struct_3::ext_lfb_base</code><a class="headerlink" href="#c.dom0_vga_console_info::anonymous_union_3::anonymous_struct_3::ext_lfb_base" title="Permalink to this definition">¶</a></dt>
<dd><p>high 32 bits of lfb_base </p>
</dd></dl>

</div>
</dd></dl>

</dd></dl>

</dd></dl>

</dd></dl>

</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="xen_elfnote_features.html" class="btn btn-neutral float-right" title="XEN ELFNOTE FEATURES" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="start_of_day_memory_layout.html" class="btn btn-neutral" title="Start-of-day memory layout" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, The Xen development community.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'4.16-unstable',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>